export const URLS = Object.freeze({
    pain: () => '/pain/',
    pain_login_ajax: () => '/pain/api/pain/auth/',
    pain_bank_account_list_view: () => '/pain/bank-accounts/',
    pain_bank_account_detail_view: (uid) => `/pain/bank-accounts/${uid}/`,
    pain_bank_accounts: () => '/admin/bank_accounts/',
    pain_bank_account: (uid = null) => uid === null ? `/admin/bank_account/` : `/admin/bank_account/${uid}/`,
    pain_customer_list_view: () => '/pain/customers/',
    pain_customer_detail_view: (uid) => `/pain/customers/${uid}/`,
    pain_customers: () => '/admin/customers/',
    pain_customer: (uid = null) => uid === null ? `/admin/customer/` : `/admin/customer/${uid}/`,
    pain_invoice_list_view: () => '/pain/invoices/',
    pain_invoice_detail_view: (uid) => `/pain/invoices/${uid}/`,
    pain_invoices: () => '/admin/invoices/',
    pain_invoice: (uid = null) => uid === null ? `/admin/invoice/` : `/admin/invoice/${uid}/`,
    pain_bank_payment_list_view: () => '/pain/bank-payments/',
    pain_bank_payment_detail_view: (uid) => `/pain/bank-payments/${uid}/`,
    pain_bank_payments: () => '/admin/bank_payments/',
    pain_bank_payment: (uid = null) => uid === null ? `/admin/bank_payment/` : `/admin/bank_payment/${uid}/`,
    pain_bank_payment_refund: (uid = null) => `/admin/bank_payment/${uid}/refund/`,
    pain_bank_payment_assign: (uid = null) => `/admin/bank_payment/${uid}/assign/`,
    pain_payment_request_list_view: () => '/pain/payment-requests/',
    pain_payment_request_detail_view: (uid) => `/pain/payment-requests/${uid}/`,
    pain_payment_requests: () => '/admin/payment_requests/',
    pain_payment_request: (uid = null) => uid === null ? `/admin/payment_request/` : `/admin/payment_request/${uid}/`,
    pain_payment_request_close: (uid) => `/admin/payment_request/${uid}/close/`,
    pain_vat_rate_list_view: () => '/pain/vat-rates/',
    pain_vat_rates: () => '/admin/vat_rates/',
    pain_payment_processors: () => '/admin/payment_processors/',
    pain_payment_processor_hints: (payment_processor_name) =>
        `/admin/payment_processor/${payment_processor_name}/hints/`,
    pain_applications: () => '/admin/applications/',
    file: (file_id) => `/files/${file_id}/`,
})
