import { Store } from 'ferda/../store'

export const PainSettingsModule = {
    namespaced: true,
    state: {
        PAIN_BASE_URL: null,
    },
    mutations: {
        set_pain_base_url(state, value) { state.PAIN_BASE_URL = value },
    },
    getters: {
        PAIN_BASE_URL: state => state.PAIN_BASE_URL,
    },
}

export const PluginStore = {
    modules: {
        ...Store.modules,
        pain_settings: PainSettingsModule,
    },
}
